Subject: bug#24206: 25.1; Curly quotes generate invalid strings, leading to a segfault

From: Paul Eggert <[email-masked]>
Date: Sun, 14 Aug 2016 18:12:25 -0700

Paul Eggert wrote:
> On 08/14/2016 12:21 PM, Eli Zaretskii wrote:
>> Paul, would you agree with the following alternative patch for the
>> release branch?
>
> Sure, that patch should also prevent crash that initiated this bug report
> (though it does not fix the problem in general). Please mark it with "Do not
> merge to master".
>

Whoops, I spoke too soon. Although your patch would prevent the crash, it has 
the unfortunate side effect of almost always disabling text-quoting-style, as 
the input to substitute-command-keys is normally not multibyte. So we really 
need some other fix, such as the one in <http://bugs.gnu.org/24206#22>.